SystemOrganization addCategory: #ConfigurationOfDCD6!

Object subclass: #ConfigurationOfDCD6
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfDCD6'!

!ConfigurationOfDCD6 class methodsFor: 'development support' stamp: 'fredaebi 4/30/2012 16:39'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfDCD6 class methodsFor: 'private' stamp: 'fredaebi 4/30/2012 16:39'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfDCD6 class methodsFor: 'private' stamp: 'fredaebi 4/30/2012 16:39'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfDCD6 class methodsFor: 'private' stamp: 'fredaebi 4/30/2012 16:39'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfDCD6 class methodsFor: 'metacello tool support' stamp: 'fredaebi 4/30/2012 16:39'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfDCD6 class methodsFor: 'loading' stamp: 'fredaebi 4/30/2012 16:39'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfDCD6 class methodsFor: 'loading' stamp: 'fredaebi 4/30/2012 16:39'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfDCD6 class methodsFor: 'loading' stamp: 'fredaebi 4/30/2012 16:39'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfDCD6 class methodsFor: 'accessing' stamp: 'fredaebi 4/30/2012 16:39'!
project

	^self new project! !

!ConfigurationOfDCD6 class methodsFor: 'development support' stamp: 'fredaebi 4/30/2012 16:39'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfDCD6 methodsFor: 'baselines' stamp: 'fredaebi 4/30/2012 16:39'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/DCD6'.
		spec package: #DCD6.
		spec group: 'default' with: #(#DCD6). ].
! !

!ConfigurationOfDCD6 methodsFor: 'symbolic versions' stamp: 'fredaebi 4/30/2012 16:39'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.113'.
! !

!ConfigurationOfDCD6 methodsFor: 'accessing' stamp: 'fredaebi 4/30/2012 16:39'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfDCD6 methodsFor: 'symbolic versions' stamp: 'fredaebi 4/30/2012 16:39'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.113'.
! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:45'!
version1100: spec
	<version: '1.100' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/17/2012 10:30'.
		spec package: #DCD6 with: 'DCD6-aebif.1'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:46'!
version1101: spec
	<version: '1.101' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/24/2012 02:54'.
		spec package: #DCD6 with: 'DCD6-aebif.2'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:46'!
version1102: spec
	<version: '1.102' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/24/2012 03:30'.
		spec package: #DCD6 with: 'DCD6-aebif.3'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:46'!
version1103: spec
	<version: '1.103' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/26/2012 01:32'.
		spec package: #DCD6 with: 'DCD6-fredaebi.4'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:47'!
version1104: spec
	<version: '1.104' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/26/2012 03:04'.
		spec package: #DCD6 with: 'DCD6-fredaebi.5'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:47'!
version1105: spec
	<version: '1.105' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/26/2012 03:10'.
		spec package: #DCD6 with: 'DCD6-fredaebi.6'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:47'!
version1106: spec
	<version: '1.106' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/27/2012 00:39'.
		spec package: #DCD6 with: 'DCD6-fredaebi.7'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:48'!
version1107: spec
	<version: '1.107' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/27/2012 00:41'.
		spec package: #DCD6 with: 'DCD6-fredaebi.8'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:48'!
version1108: spec
	<version: '1.108' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/27/2012 01:09'.
		spec package: #DCD6 with: 'DCD6-fredaebi.9'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:48'!
version1109: spec
	<version: '1.109' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/27/2012 01:22'.
		spec package: #DCD6 with: 'DCD6-fredaebi.10'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:48'!
version1110: spec
	<version: '1.110' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/27/2012 01:26'.
		spec package: #DCD6 with: 'DCD6-fredaebi.11'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:48'!
version1111: spec
	<version: '1.111' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/27/2012 01:30'.
		spec package: #DCD6 with: 'DCD6-fredaebi.12'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 4/30/2012 16:49'!
version1112: spec
	<version: '1.112' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '4/30/2012 06:55'.
		spec package: #DCD6 with: 'DCD6-fredaebi.13'. ].! !

!ConfigurationOfDCD6 methodsFor: 'versions' stamp: 'fredaebi 5/8/2012 09:22'!
version1113: spec
	<version: '1.113' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'Frdric Aebi'.
		spec timestamp: '5/03/2012 07:15'.
		spec package: #DCD6 with: 'DCD6-fredaebi.16'.
		spec project: 'Spy'.
		spec project: 'Seaside30'].! !
